package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * VirtualWanIpv4SettingInfo
 */
@ApiModel(description = "VirtualWanIpv4SettingInfo")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VirtualWanIpv4SettingInfoOpenApiVo   {
  @JsonProperty("proto")
  private String proto;

  @JsonProperty("protoType")
  private Integer protoType;

  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("vlanPriority")
  private Integer vlanPriority;

  @JsonProperty("supportInternetVlan")
  private Boolean supportInternetVlan;

  @JsonProperty("supportQosTagEnable")
  private Boolean supportQosTagEnable;

  @JsonProperty("qosTagEnable")
  private Boolean qosTagEnable;

  @JsonProperty("qosTag")
  private Integer qosTag;

  @JsonProperty("ipv4Static")
  private Object ipv4Static;

  @JsonProperty("ipv4Dhcp")
  private Object ipv4Dhcp;

  @JsonProperty("ipv4Pppoe")
  private Object ipv4Pppoe;

  public VirtualWanIpv4SettingInfoOpenApiVo proto(String proto) {
    this.proto = proto;
    return this;
  }

  /**
   * Virtual WAN IPv4 connection type.
   * @return proto
  */
  @ApiModelProperty(value = "Virtual WAN IPv4 connection type.")


  public String getProto() {
    return proto;
  }

  public void setProto(String proto) {
    this.proto = proto;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo protoType(Integer protoType) {
    this.protoType = protoType;
    return this;
  }

  /**
   * Virtual WAN IPv4 proto type, 0:static; 1:DHCP; 2:PPPoE.
   * @return protoType
  */
  @ApiModelProperty(value = "Virtual WAN IPv4 proto type, 0:static; 1:DHCP; 2:PPPoE.")


  public Integer getProtoType() {
    return protoType;
  }

  public void setProtoType(Integer protoType) {
    this.protoType = protoType;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * Vlan ID.
   * @return vlanId
  */
  @ApiModelProperty(value = "Vlan ID.")


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo vlanPriority(Integer vlanPriority) {
    this.vlanPriority = vlanPriority;
    return this;
  }

  /**
   * Vlan Priority.
   * @return vlanPriority
  */
  @ApiModelProperty(value = "Vlan Priority.")


  public Integer getVlanPriority() {
    return vlanPriority;
  }

  public void setVlanPriority(Integer vlanPriority) {
    this.vlanPriority = vlanPriority;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo supportInternetVlan(Boolean supportInternetVlan) {
    this.supportInternetVlan = supportInternetVlan;
    return this;
  }

  /**
   * Whether support internet vlan.
   * @return supportInternetVlan
  */
  @ApiModelProperty(value = "Whether support internet vlan.")


  public Boolean getSupportInternetVlan() {
    return supportInternetVlan;
  }

  public void setSupportInternetVlan(Boolean supportInternetVlan) {
    this.supportInternetVlan = supportInternetVlan;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo supportQosTagEnable(Boolean supportQosTagEnable) {
    this.supportQosTagEnable = supportQosTagEnable;
    return this;
  }

  /**
   * Whether support Qos Tag enable.
   * @return supportQosTagEnable
  */
  @ApiModelProperty(value = "Whether support Qos Tag enable.")


  public Boolean getSupportQosTagEnable() {
    return supportQosTagEnable;
  }

  public void setSupportQosTagEnable(Boolean supportQosTagEnable) {
    this.supportQosTagEnable = supportQosTagEnable;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo qosTagEnable(Boolean qosTagEnable) {
    this.qosTagEnable = qosTagEnable;
    return this;
  }

  /**
   * Whether Qos Tag is enable.
   * @return qosTagEnable
  */
  @ApiModelProperty(value = "Whether Qos Tag is enable.")


  public Boolean getQosTagEnable() {
    return qosTagEnable;
  }

  public void setQosTagEnable(Boolean qosTagEnable) {
    this.qosTagEnable = qosTagEnable;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo qosTag(Integer qosTag) {
    this.qosTag = qosTag;
    return this;
  }

  /**
   * Qos Tag.
   * @return qosTag
  */
  @ApiModelProperty(value = "Qos Tag.")


  public Integer getQosTag() {
    return qosTag;
  }

  public void setQosTag(Integer qosTag) {
    this.qosTag = qosTag;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo ipv4Static(Object ipv4Static) {
    this.ipv4Static = ipv4Static;
    return this;
  }

  /**
   * Get ipv4Static
   * @return ipv4Static
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getIpv4Static() {
    return ipv4Static;
  }

  public void setIpv4Static(Object ipv4Static) {
    this.ipv4Static = ipv4Static;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo ipv4Dhcp(Object ipv4Dhcp) {
    this.ipv4Dhcp = ipv4Dhcp;
    return this;
  }

  /**
   * Get ipv4Dhcp
   * @return ipv4Dhcp
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getIpv4Dhcp() {
    return ipv4Dhcp;
  }

  public void setIpv4Dhcp(Object ipv4Dhcp) {
    this.ipv4Dhcp = ipv4Dhcp;
  }

  public VirtualWanIpv4SettingInfoOpenApiVo ipv4Pppoe(Object ipv4Pppoe) {
    this.ipv4Pppoe = ipv4Pppoe;
    return this;
  }

  /**
   * Get ipv4Pppoe
   * @return ipv4Pppoe
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getIpv4Pppoe() {
    return ipv4Pppoe;
  }

  public void setIpv4Pppoe(Object ipv4Pppoe) {
    this.ipv4Pppoe = ipv4Pppoe;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VirtualWanIpv4SettingInfoOpenApiVo virtualWanIpv4SettingInfoOpenApiVo = (VirtualWanIpv4SettingInfoOpenApiVo) o;
    return Objects.equals(this.proto, virtualWanIpv4SettingInfoOpenApiVo.proto) &&
        Objects.equals(this.protoType, virtualWanIpv4SettingInfoOpenApiVo.protoType) &&
        Objects.equals(this.vlanId, virtualWanIpv4SettingInfoOpenApiVo.vlanId) &&
        Objects.equals(this.vlanPriority, virtualWanIpv4SettingInfoOpenApiVo.vlanPriority) &&
        Objects.equals(this.supportInternetVlan, virtualWanIpv4SettingInfoOpenApiVo.supportInternetVlan) &&
        Objects.equals(this.supportQosTagEnable, virtualWanIpv4SettingInfoOpenApiVo.supportQosTagEnable) &&
        Objects.equals(this.qosTagEnable, virtualWanIpv4SettingInfoOpenApiVo.qosTagEnable) &&
        Objects.equals(this.qosTag, virtualWanIpv4SettingInfoOpenApiVo.qosTag) &&
        Objects.equals(this.ipv4Static, virtualWanIpv4SettingInfoOpenApiVo.ipv4Static) &&
        Objects.equals(this.ipv4Dhcp, virtualWanIpv4SettingInfoOpenApiVo.ipv4Dhcp) &&
        Objects.equals(this.ipv4Pppoe, virtualWanIpv4SettingInfoOpenApiVo.ipv4Pppoe);
  }

  @Override
  public int hashCode() {
    return Objects.hash(proto, protoType, vlanId, vlanPriority, supportInternetVlan, supportQosTagEnable, qosTagEnable, qosTag, ipv4Static, ipv4Dhcp, ipv4Pppoe);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VirtualWanIpv4SettingInfoOpenApiVo {\n");
    
    sb.append("    proto: ").append(toIndentedString(proto)).append("\n");
    sb.append("    protoType: ").append(toIndentedString(protoType)).append("\n");
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    vlanPriority: ").append(toIndentedString(vlanPriority)).append("\n");
    sb.append("    supportInternetVlan: ").append(toIndentedString(supportInternetVlan)).append("\n");
    sb.append("    supportQosTagEnable: ").append(toIndentedString(supportQosTagEnable)).append("\n");
    sb.append("    qosTagEnable: ").append(toIndentedString(qosTagEnable)).append("\n");
    sb.append("    qosTag: ").append(toIndentedString(qosTag)).append("\n");
    sb.append("    ipv4Static: ").append(toIndentedString(ipv4Static)).append("\n");
    sb.append("    ipv4Dhcp: ").append(toIndentedString(ipv4Dhcp)).append("\n");
    sb.append("    ipv4Pppoe: ").append(toIndentedString(ipv4Pppoe)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

